Skip to main content
ApiMessages

Get messages in a conversation

GET/v1/messages/{conversationId}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

conversationId*string

Platform conversation ID.

Query Parameters

platform*string
Value in"instagram"
accountId*string

Integration ID.

limit?integer
Default25
Range1 <= value <= 100
after?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/messages/string?platform=instagram&accountId=string"
{
  "success": true,
  "messages": [
    {
      "id": "string",
      "text": "string",
      "from": {
        "id": "string",
        "name": "string"
      },
      "timestamp": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}